Advertisement
Nexeon

Untitled

Jun 13th, 2018
74
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 0.85 KB | None | 0 0
  1. Dim oSelectSet As SelectSet
  2. Set oSelectSet = ThisApplication.ActiveDocument.SelectSet
  3.  
  4. Dim oGreenHighlight As HighlightSet
  5. Set oGreenHighlight = ThisApplication.ActiveDocument.CreateHighlightSet()
  6. oGreenHighlight.Color = ThisApplication.TransientObjects.CreateColor(0, 255, 0)
  7.  
  8. Dim oSelect
  9. Set oSelect = oSelectSet.Item(1)
  10.  
  11. 'If selection is Face'
  12. If (oSelect.Type = kEdgeObject) And (oSelectSet.Count = 1) Then
  13. Dim oBody As SurfaceBody
  14. Set oBody = oSelect.Parent
  15.  
  16. For I = 1 To oBody.Edges.Count Step 1
  17. If (oSelect.TransientKey = oBody.Edges.Item(I).TransientKey) Then
  18. oGreenHighlight.AddItem (oSelect)
  19. MsgBox ("Index of Edge is " & CInt(I))
  20. Set oGreenHighlight = Nothing
  21. End If
  22. Next
  23. End If
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement